libstdc++

Classes | Namespaces | Macros | Typedefs | Functions
mt_allocator.h File Reference

Go to the source code of this file.

## Classes

struct | __gnu_cxx::__common_pool_policy< _PoolTp, _Thread >
| Policy for shared __pool objects. More...
class | __gnu_cxx::__mt_alloc< _Tp, _Poolp >
| This is a fixed size (power of 2) allocator which - when compiled with thread support - will maintain one freelist per size per thread plus a global one. Steps are taken to limit the per thread freelist sizes (by returning excess back to the global list).Further details: http://gcc.gnu.org/onlinedocs/libstdc++/manual/bk01pt12ch32.html. More...
class | __gnu_cxx::__mt_alloc_base< _Tp >
| Base class for _Tp dependent member functions. More...
struct | __gnu_cxx::__per_type_pool_policy< _Tp, _PoolTp, _Thread >
| Policy for individual __pool objects. More...
class | __gnu_cxx::__pool< false >
| Specialization for single thread. More...
class | __gnu_cxx::__pool< true >
| Specialization for thread enabled, via gthreads.h. More...
struct | __gnu_cxx::__pool_base
| Base class for pool object. More...
class | __pool< _Thread >
| Data describing the underlying memory pool, parameterized on threading support. More...

## Namespaces

namespace | __gnu_cxx

## Macros

#define | __thread_default

## Typedefs

typedef void(* | __gnu_cxx::__destroy_handler )(void *)

## Functions

template<typename _Tp , typename _Poolp >
bool | __gnu_cxx::operator!= (const __mt_alloc< _Tp, _Poolp > &, const __mt_alloc< _Tp, _Poolp > &)
template<typename _Tp , typename _Poolp >
bool | __gnu_cxx::operator== (const __mt_alloc< _Tp, _Poolp > &, const __mt_alloc< _Tp, _Poolp > &)

## Detailed Description

This file is a GNU extension to the Standard C++ Library.

Definition in file mt_allocator.h.